Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.civics.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.businessconnector.civics.service.ServiceFactory

    public final class ServiceFactory

extends Object

A factory for creating `SamCivicsService`.

Method Summary
`static GenericRequest` | `getSamCivicsPort(X509Certificate certificate, PrivateKey privateKey)` Gets the consultation service.
`static SamCivicsService` | `getSamCivicsService(SessionValidator sessionValidator)` Gets the sam civics service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSamCivicsPort

    public static GenericRequest getSamCivicsPort(X509Certificate certificate,
                                                  PrivateKey privateKey)
                                           throws MalformedURLException,
                                                  TechnicalConnectorException,
                                                  CivicsBusinessConnectorException

  Gets the consultation service.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
  Returns:
    the consultation service
  Throws:
    `MalformedURLException` - the malformed url exception
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`

### getSamCivicsService

    public static SamCivicsService getSamCivicsService(SessionValidator sessionValidator)

  Gets the sam civics service.

  Parameters:
    `sessionValidator` - the session validator
  Returns:
    the sam civics service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.